PROG=troff$X
MAN1=troff.n
XLIBS=$(LIBGROFF)
MLIB=$(LIBM)
OBJS=env.o node.o input.o div.o symbol.o dictionary.o reg.o \
  number.o majorminor.o
CCSRCS=env.cc node.cc input.cc div.cc symbol.cc dictionary.cc reg.cc \
  number.cc majorminor.cc
HDRS=charinfo.h dictionary.h div.h env.h hvunits.h node.h reg.h request.h \
  symbol.h token.h troff.h
#GENSRCS=majorminor.cc
NAMEPREFIX=$(g)

majorminor.cc: ../VERSION
	@echo Making $@
	@-rm -f $@
	@echo const char \*major_version = \"1\"; >$@
	@echo const char \*minor_version = \"10\"; >>$@

install_data: hyphen.us
	-test -d $(datadir) || mkdir $(datadir)
	-test -d $(datasubdir) || mkdir $(datasubdir)
	-test -d $(tmacdir) || mkdir $(tmacdir)
	-rm -f $(tmacdir)/hyphen.us
	$(INSTALL_DATA) $(srcdir)/hyphen.us $(tmacdir)/hyphen.us

uninstall_sub:
	-rm -f $(tmacdir)/hyphen.us
